#
# spec file for package ciano
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define         appid com.github.robertsanseries.ciano
Name:           ciano
Version:        0.2.4
Release:        2.3
Summary:        A multimedia file converter
License:        GPL-3.0-or-later
URL:            https://github.com/robertsanseries/ciano
Source:         %{url}/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz
BuildRequires:  fdupes
BuildRequires:  gettext-runtime >= 0.19.7
BuildRequires:  hicolor-icon-theme
BuildRequires:  meson >= 0.40.0
BuildRequires:  pkgconfig
BuildRequires:  vala
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gobject-2.0)
BuildRequires:  pkgconfig(granite)
BuildRequires:  pkgconfig(gtk+-3.0)
Requires:       ImageMagick
Requires:       ffmpeg

%description
A program to convert your multimedia files to contemporary formats.

%lang_package

%prep
%autosetup

%build
%meson
%meson_build

%install
%meson_install
%find_lang %{appid}
%fdupes %{buildroot}

%files
%license LICENSE
%doc AUTHORS README.md
%{_bindir}/%{appid}
%{_datadir}/metainfo/%{appid}.appdata.xml
%{_datadir}/applications/%{appid}.desktop
%{_datadir}/glib-2.0/schemas/%{appid}.gschema.xml
%{_datadir}/icons/hicolor/*/apps/%{appid}.svg
%{_datadir}/pixmaps/%{appid}.png
%{_datadir}/%{name}
%dir %{_datadir}/icons/hicolor/{128x128@2,128x128@2/apps,16x16@2,16x16@2/apps,24x24@2,24x24@2/apps,32x32@2,32x32@2/apps,48x48@2,48x48@2/apps,64x64@2,64x64@2/apps}

%files lang -f %{appid}.lang

%changelog
* Sun Nov 17 2024 Richard Rahl <rrahl0@opensuse.org>
- update spec file for Leap 16.0:
  * remove %%suse_update_desktop_file
  * remove HiDPI workaround
* Thu Jul 16 2020 Alexei Podvalsky <avvissu@yandex.by>
- Update to 0.2.4:
  * Merge branch 'master' of github.com:robertsanseries/ciano
  * Minor fixes and changes
  * update file gitignore
  * Merge pull request #105 from NathanBnm/patch-5
  * Fix README app icon
  * Merge pull request #102 from NathanBnm/master
  * Make post_install.py scrip executable
  * Merge pull request #100 from NathanBnm/improvements
  * Improvements
  * Merge pull request #99 from NathanBnm/fix-typo
  * Merge pull request #98 from NathanBnm/update-fr
  * Fix typo
  * Merge pull request #96 from NathanBnm/patch-4
  * Add missing OARS metadata making build fail
  * Merge pull request #93 from NathanBnm/patch-3
  * Update .travis.yml
  * Merge pull request #83 from meisenzahl/master
  * Merge pull request #89 from safak45x/patch-1
  * Merge branch 'master' into patch-1
  * Merge pull request #78 from libreajans/Turkish
  * Merge branch 'master' into Turkish
  * Merge pull request #72 from NathanBnm/patch-1
  * commit partial
  * Update LINGUAS
  * updated .gitignore to ignore *~
  * Downgrade Node.js to fix builds on Travis CI
  * Merge pull request #76 from nedrichards/patch-1
  * Add OARS tag
  * Merge pull request #1 from NathanBnm/patch-2
  * Added fr
* Mon Nov  5 2018 Alexei Podvalsky <avvissu@yandex.by>
- Update to 0.2.1:
  * Fix accels deprecation
  * Fix margin deprecations
  * Merge pull request #66 from drom98/master
  * Update issue templates
  * update readme
  * remoção do arquivo com.github.robertsanseries.ciano.json
  * Update com.github.robertsanseries.ciano.desktop.in
  * Update .desktop comment to be consistent with HIG
  * moving the settings class to the services package
* Sat Jan  6 2018 avvissu@yandex.by
- Update to 0.1.9:
  * Update README.md
  * Creating Flatpak
  * Update Manifest Flatpak
  * Manifest Flatpak
  * Fixes for version 0.1.7
  * Correcting the tag in the appdata.xml file
  * Update com.github.robertsanseries.ciano.appdata.xml.in
  * Update LINGUAS
  * Create zh_CN.po
  * Update lt.po
  * Made the icon follow the HIG colors and geometry
* Tue Dec 19 2017 jengelh@inai.de
- Trim bias from description.
* Tue Nov  7 2017 avvissu@yandex.by
- Initial package
